<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>HSSFPrintSetup (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="HSSFPrintSetup (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10,"i30":10,"i31":10,"i32":10,"i33":10,"i34":10,"i35":10,"i36":10,"i37":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HSSFPrintSetup.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFPolygon.html"
               title="class in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFRangeCopier.html"
               title="class in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/usermodel/HSSFPrintSetup.html"
               target="_top">Frames</a></li>
        <li><a href="HSSFPrintSetup.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hssf.usermodel</div>
    <h2 title="Class HSSFPrintSetup" class="title">Class HSSFPrintSetup</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.hssf.usermodel.HSSFPrintSetup</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd><a href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html"
                           title="interface in org.apache.poi.ss.usermodel">PrintSetup</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">HSSFPrintSetup</span>
extends java.lang.Object
implements <a href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html"
              title="interface in org.apache.poi.ss.usermodel">PrintSetup</a></pre>
                <div class="block">Used to modify the print setup.
                    <P>
                        Paper size constants have been added for the ones I have access
                        to. They follow as:<br>
                        public static final short PRINTER_DEFAULT_PAPERSIZE = 0;<br>
                        public static final short LETTER_PAPERSIZE = 1;<br>
                        public static final short LEGAL_PAPERSIZE = 5;<br>
                        public static final short EXECUTIVE_PAPERSIZE = 7;<br>
                        public static final short A4_PAPERSIZE = 9;<br>
                        public static final short A5_PAPERSIZE = 11;<br>
                        public static final short ENVELOPE_10_PAPERSIZE = 20;<br>
                        public static final short ENVELOPE_DL_PAPERSIZE = 27;<br>
                        public static final short ENVELOPE_CS_PAPERSIZE = 28;<br>
                        public static final short ENVELOPE_MONARCH_PAPERSIZE = 37;<br></div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="fields.inherited.from.class.org.apache.poi.ss.usermodel.PrintSetup">
                                <!--   -->
                            </a>
                                <h3>Fields inherited from interface&nbsp;org.apache.poi.ss.usermodel.<a
                                        href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html"
                                        title="interface in org.apache.poi.ss.usermodel">PrintSetup</a></h3>
                                <code><a href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html#A3_PAPERSIZE">A3_PAPERSIZE</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html#A4_EXTRA_PAPERSIZE">A4_EXTRA_PAPERSIZE</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html#A4_PAPERSIZE">A4_PAPERSIZE</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html#A4_PLUS_PAPERSIZE">A4_PLUS_PAPERSIZE</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html#A4_ROTATED_PAPERSIZE">A4_ROTATED_PAPERSIZE</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html#A4_SMALL_PAPERSIZE">A4_SMALL_PAPERSIZE</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html#A4_TRANSVERSE_PAPERSIZE">A4_TRANSVERSE_PAPERSIZE</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html#A5_PAPERSIZE">A5_PAPERSIZE</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html#B4_PAPERSIZE">B4_PAPERSIZE</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html#B5_PAPERSIZE">B5_PAPERSIZE</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html#ELEVEN_BY_SEVENTEEN_PAPERSIZE">ELEVEN_BY_SEVENTEEN_PAPERSIZE</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html#ENVELOPE_10_PAPERSIZE">ENVELOPE_10_PAPERSIZE</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html#ENVELOPE_9_PAPERSIZE">ENVELOPE_9_PAPERSIZE</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html#ENVELOPE_C3_PAPERSIZE">ENVELOPE_C3_PAPERSIZE</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html#ENVELOPE_C4_PAPERSIZE">ENVELOPE_C4_PAPERSIZE</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html#ENVELOPE_C5_PAPERSIZE">ENVELOPE_C5_PAPERSIZE</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html#ENVELOPE_C6_PAPERSIZE">ENVELOPE_C6_PAPERSIZE</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html#ENVELOPE_CS_PAPERSIZE">ENVELOPE_CS_PAPERSIZE</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html#ENVELOPE_DL_PAPERSIZE">ENVELOPE_DL_PAPERSIZE</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html#ENVELOPE_MONARCH_PAPERSIZE">ENVELOPE_MONARCH_PAPERSIZE</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html#EXECUTIVE_PAPERSIZE">EXECUTIVE_PAPERSIZE</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html#FOLIO8_PAPERSIZE">FOLIO8_PAPERSIZE</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html#LEDGER_PAPERSIZE">LEDGER_PAPERSIZE</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html#LEGAL_PAPERSIZE">LEGAL_PAPERSIZE</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html#LETTER_PAPERSIZE">LETTER_PAPERSIZE</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html#LETTER_ROTATED_PAPERSIZE">LETTER_ROTATED_PAPERSIZE</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html#LETTER_SMALL_PAGESIZE">LETTER_SMALL_PAGESIZE</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html#NOTE8_PAPERSIZE">NOTE8_PAPERSIZE</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html#PRINTER_DEFAULT_PAPERSIZE">PRINTER_DEFAULT_PAPERSIZE</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html#QUARTO_PAPERSIZE">QUARTO_PAPERSIZE</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html#STATEMENT_PAPERSIZE">STATEMENT_PAPERSIZE</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html#TABLOID_PAPERSIZE">TABLOID_PAPERSIZE</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html#TEN_BY_FOURTEEN_PAPERSIZE">TEN_BY_FOURTEEN_PAPERSIZE</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier</th>
                                <th class="colLast" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected </code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPrintSetup.html#HSSFPrintSetup-org.apache.poi.hssf.record.PrintSetupRecord-">HSSFPrintSetup</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/record/PrintSetupRecord.html"
                                        title="class in org.apache.poi.hssf.record">PrintSetupRecord</a>&nbsp;printSetupRecord)</code>
                                    <div class="block">Constructor.</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPrintSetup.html#getCopies--">getCopies</a></span>()</code>
                                    <div class="block">Returns the number of copies.</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPrintSetup.html#getDraft--">getDraft</a></span>()</code>
                                    <div class="block">Returns the draft mode.</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPrintSetup.html#getFitHeight--">getFitHeight</a></span>()</code>
                                    <div class="block">Returns the number of pages high to fit the sheet in.</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPrintSetup.html#getFitWidth--">getFitWidth</a></span>()</code>
                                    <div class="block">Returns the number of pages wide to fit sheet in.</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPrintSetup.html#getFooterMargin--">getFooterMargin</a></span>()</code>
                                    <div class="block">Returns the footer margin.</div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPrintSetup.html#getHeaderMargin--">getHeaderMargin</a></span>()</code>
                                    <div class="block">Returns the header margin.</div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPrintSetup.html#getHResolution--">getHResolution</a></span>()</code>
                                    <div class="block">Returns the horizontal resolution.</div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPrintSetup.html#getLandscape--">getLandscape</a></span>()</code>
                                    <div class="block">Returns the landscape mode.</div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPrintSetup.html#getLeftToRight--">getLeftToRight</a></span>()</code>
                                    <div class="block">Returns the left to right print order.</div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPrintSetup.html#getNoColor--">getNoColor</a></span>()</code>
                                    <div class="block">Returns the black and white setting.</div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPrintSetup.html#getNoOrientation--">getNoOrientation</a></span>()</code>
                                    <div class="block">Returns the no orientation.</div>
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPrintSetup.html#getNotes--">getNotes</a></span>()</code>
                                    <div class="block">Returns the print notes.</div>
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPrintSetup.html#getOptions--">getOptions</a></span>()</code>
                                    <div class="block">Returns the bit flags for the options.</div>
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPrintSetup.html#getPageStart--">getPageStart</a></span>()</code>
                                    <div class="block">Returns the page start.</div>
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPrintSetup.html#getPaperSize--">getPaperSize</a></span>()</code>
                                    <div class="block">Returns the paper size.</div>
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPrintSetup.html#getScale--">getScale</a></span>()</code>
                                    <div class="block">Returns the scale.</div>
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPrintSetup.html#getUsePage--">getUsePage</a></span>()</code>
                                    <div class="block">Returns the use page numbers.</div>
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPrintSetup.html#getValidSettings--">getValidSettings</a></span>()</code>
                                    <div class="block">Returns the valid settings.</div>
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPrintSetup.html#getVResolution--">getVResolution</a></span>()</code>
                                    <div class="block">Returns the vertical resolution.</div>
                                </td>
                            </tr>
                            <tr id="i19" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPrintSetup.html#setCopies-short-">setCopies</a></span>(short&nbsp;copies)</code>
                                    <div class="block">Sets the number of copies.</div>
                                </td>
                            </tr>
                            <tr id="i20" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPrintSetup.html#setDraft-boolean-">setDraft</a></span>(boolean&nbsp;d)</code>
                                    <div class="block">Set whether it is in draft mode</div>
                                </td>
                            </tr>
                            <tr id="i21" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPrintSetup.html#setFitHeight-short-">setFitHeight</a></span>(short&nbsp;height)</code>
                                    <div class="block">Set the number of pages high to fit the sheet in</div>
                                </td>
                            </tr>
                            <tr id="i22" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPrintSetup.html#setFitWidth-short-">setFitWidth</a></span>(short&nbsp;width)</code>
                                    <div class="block">Set the number of pages wide to fit the sheet in</div>
                                </td>
                            </tr>
                            <tr id="i23" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPrintSetup.html#setFooterMargin-double-">setFooterMargin</a></span>(double&nbsp;footermargin)</code>
                                    <div class="block">Sets the footer margin.</div>
                                </td>
                            </tr>
                            <tr id="i24" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPrintSetup.html#setHeaderMargin-double-">setHeaderMargin</a></span>(double&nbsp;headermargin)</code>
                                    <div class="block">Sets the header margin.</div>
                                </td>
                            </tr>
                            <tr id="i25" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPrintSetup.html#setHResolution-short-">setHResolution</a></span>(short&nbsp;resolution)</code>
                                    <div class="block">Sets the horizontal resolution.</div>
                                </td>
                            </tr>
                            <tr id="i26" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPrintSetup.html#setLandscape-boolean-">setLandscape</a></span>(boolean&nbsp;ls)</code>
                                    <div class="block">Set whether to print in landscape</div>
                                </td>
                            </tr>
                            <tr id="i27" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPrintSetup.html#setLeftToRight-boolean-">setLeftToRight</a></span>(boolean&nbsp;ltor)</code>
                                    <div class="block">Set whether to go left to right or top down in ordering</div>
                                </td>
                            </tr>
                            <tr id="i28" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPrintSetup.html#setNoColor-boolean-">setNoColor</a></span>(boolean&nbsp;mono)</code>
                                    <div class="block">Set whether it is black and white</div>
                                </td>
                            </tr>
                            <tr id="i29" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPrintSetup.html#setNoOrientation-boolean-">setNoOrientation</a></span>(boolean&nbsp;orientation)</code>
                                    <div class="block">Set no orientation.</div>
                                </td>
                            </tr>
                            <tr id="i30" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPrintSetup.html#setNotes-boolean-">setNotes</a></span>(boolean&nbsp;printnotes)</code>
                                    <div class="block">Print the include notes</div>
                                </td>
                            </tr>
                            <tr id="i31" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPrintSetup.html#setOptions-short-">setOptions</a></span>(short&nbsp;options)</code>
                                    <div class="block">Sets the options flags.</div>
                                </td>
                            </tr>
                            <tr id="i32" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPrintSetup.html#setPageStart-short-">setPageStart</a></span>(short&nbsp;start)</code>
                                    <div class="block">Set the page numbering start.</div>
                                </td>
                            </tr>
                            <tr id="i33" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPrintSetup.html#setPaperSize-short-">setPaperSize</a></span>(short&nbsp;size)</code>
                                    <div class="block">Set the paper size.</div>
                                </td>
                            </tr>
                            <tr id="i34" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPrintSetup.html#setScale-short-">setScale</a></span>(short&nbsp;scale)</code>
                                    <div class="block">Set the scale.</div>
                                </td>
                            </tr>
                            <tr id="i35" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPrintSetup.html#setUsePage-boolean-">setUsePage</a></span>(boolean&nbsp;page)</code>
                                    <div class="block">Set whether to use page start</div>
                                </td>
                            </tr>
                            <tr id="i36" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPrintSetup.html#setValidSettings-boolean-">setValidSettings</a></span>(boolean&nbsp;valid)</code>
                                    <div class="block">Valid settings.</div>
                                </td>
                            </tr>
                            <tr id="i37" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPrintSetup.html#setVResolution-short-">setVResolution</a></span>(short&nbsp;resolution)</code>
                                    <div class="block">Sets the vertical resolution.</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="HSSFPrintSetup-org.apache.poi.hssf.record.PrintSetupRecord-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>HSSFPrintSetup</h4>
                                <pre>protected&nbsp;HSSFPrintSetup(<a
                                        href="../../../../../org/apache/poi/hssf/record/PrintSetupRecord.html"
                                        title="class in org.apache.poi.hssf.record">PrintSetupRecord</a>&nbsp;printSetupRecord)</pre>
                                <div class="block">Constructor. Takes the low level print setup record.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>printSetupRecord</code> - the low level print setup record</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="setPaperSize-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setPaperSize</h4>
                                <pre>public&nbsp;void&nbsp;setPaperSize(short&nbsp;size)</pre>
                                <div class="block">Set the paper size.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html#setPaperSize-short-">setPaperSize</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html"
                                                title="interface in org.apache.poi.ss.usermodel">PrintSetup</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>size</code> - the paper size.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setScale-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setScale</h4>
                                <pre>public&nbsp;void&nbsp;setScale(short&nbsp;scale)</pre>
                                <div class="block">Set the scale.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html#setScale-short-">setScale</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html"
                                                title="interface in org.apache.poi.ss.usermodel">PrintSetup</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>scale</code> - the scale to use</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setPageStart-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setPageStart</h4>
                                <pre>public&nbsp;void&nbsp;setPageStart(short&nbsp;start)</pre>
                                <div class="block">Set the page numbering start.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html#setPageStart-short-">setPageStart</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html"
                                                title="interface in org.apache.poi.ss.usermodel">PrintSetup</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>start</code> - the page numbering start</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setFitWidth-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFitWidth</h4>
                                <pre>public&nbsp;void&nbsp;setFitWidth(short&nbsp;width)</pre>
                                <div class="block">Set the number of pages wide to fit the sheet in</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html#setFitWidth-short-">setFitWidth</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html"
                                                title="interface in org.apache.poi.ss.usermodel">PrintSetup</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>width</code> - the number of pages</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setFitHeight-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFitHeight</h4>
                                <pre>public&nbsp;void&nbsp;setFitHeight(short&nbsp;height)</pre>
                                <div class="block">Set the number of pages high to fit the sheet in</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html#setFitHeight-short-">setFitHeight</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html"
                                                title="interface in org.apache.poi.ss.usermodel">PrintSetup</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>height</code> - the number of pages</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setOptions-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setOptions</h4>
                                <pre>public&nbsp;void&nbsp;setOptions(short&nbsp;options)</pre>
                                <div class="block">Sets the options flags. Not advisable to do it directly.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>options</code> - The bit flags for the options</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setLeftToRight-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setLeftToRight</h4>
                                <pre>public&nbsp;void&nbsp;setLeftToRight(boolean&nbsp;ltor)</pre>
                                <div class="block">Set whether to go left to right or top down in ordering</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html#setLeftToRight-boolean-">setLeftToRight</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html"
                                                title="interface in org.apache.poi.ss.usermodel">PrintSetup</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>ltor</code> - left to right</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setLandscape-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setLandscape</h4>
                                <pre>public&nbsp;void&nbsp;setLandscape(boolean&nbsp;ls)</pre>
                                <div class="block">Set whether to print in landscape</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html#setLandscape-boolean-">setLandscape</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html"
                                                title="interface in org.apache.poi.ss.usermodel">PrintSetup</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>ls</code> - landscape</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setValidSettings-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setValidSettings</h4>
                                <pre>public&nbsp;void&nbsp;setValidSettings(boolean&nbsp;valid)</pre>
                                <div class="block">Valid settings. I'm not for sure.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html#setValidSettings-boolean-">setValidSettings</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html"
                                                title="interface in org.apache.poi.ss.usermodel">PrintSetup</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>valid</code> - Valid</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setNoColor-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setNoColor</h4>
                                <pre>public&nbsp;void&nbsp;setNoColor(boolean&nbsp;mono)</pre>
                                <div class="block">Set whether it is black and white</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html#setNoColor-boolean-">setNoColor</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html"
                                                title="interface in org.apache.poi.ss.usermodel">PrintSetup</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>mono</code> - Black and white</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setDraft-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setDraft</h4>
                                <pre>public&nbsp;void&nbsp;setDraft(boolean&nbsp;d)</pre>
                                <div class="block">Set whether it is in draft mode</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html#setDraft-boolean-">setDraft</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html"
                                                title="interface in org.apache.poi.ss.usermodel">PrintSetup</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>d</code> - draft</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setNotes-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setNotes</h4>
                                <pre>public&nbsp;void&nbsp;setNotes(boolean&nbsp;printnotes)</pre>
                                <div class="block">Print the include notes</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html#setNotes-boolean-">setNotes</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html"
                                                title="interface in org.apache.poi.ss.usermodel">PrintSetup</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>printnotes</code> - print the notes</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setNoOrientation-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setNoOrientation</h4>
                                <pre>public&nbsp;void&nbsp;setNoOrientation(boolean&nbsp;orientation)</pre>
                                <div class="block">Set no orientation. ?</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html#setNoOrientation-boolean-">setNoOrientation</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html"
                                                title="interface in org.apache.poi.ss.usermodel">PrintSetup</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>orientation</code> - Orientation.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setUsePage-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setUsePage</h4>
                                <pre>public&nbsp;void&nbsp;setUsePage(boolean&nbsp;page)</pre>
                                <div class="block">Set whether to use page start</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html#setUsePage-boolean-">setUsePage</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html"
                                                title="interface in org.apache.poi.ss.usermodel">PrintSetup</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>page</code> - Use page start</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setHResolution-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setHResolution</h4>
                                <pre>public&nbsp;void&nbsp;setHResolution(short&nbsp;resolution)</pre>
                                <div class="block">Sets the horizontal resolution.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html#setHResolution-short-">setHResolution</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html"
                                                title="interface in org.apache.poi.ss.usermodel">PrintSetup</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>resolution</code> - horizontal resolution</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setVResolution-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setVResolution</h4>
                                <pre>public&nbsp;void&nbsp;setVResolution(short&nbsp;resolution)</pre>
                                <div class="block">Sets the vertical resolution.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html#setVResolution-short-">setVResolution</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html"
                                                title="interface in org.apache.poi.ss.usermodel">PrintSetup</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>resolution</code> - vertical resolution</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setHeaderMargin-double-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setHeaderMargin</h4>
                                <pre>public&nbsp;void&nbsp;setHeaderMargin(double&nbsp;headermargin)</pre>
                                <div class="block">Sets the header margin.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html#setHeaderMargin-double-">setHeaderMargin</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html"
                                                title="interface in org.apache.poi.ss.usermodel">PrintSetup</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>headermargin</code> - header margin</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setFooterMargin-double-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFooterMargin</h4>
                                <pre>public&nbsp;void&nbsp;setFooterMargin(double&nbsp;footermargin)</pre>
                                <div class="block">Sets the footer margin.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html#setFooterMargin-double-">setFooterMargin</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html"
                                                title="interface in org.apache.poi.ss.usermodel">PrintSetup</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>footermargin</code> - footer margin</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setCopies-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setCopies</h4>
                                <pre>public&nbsp;void&nbsp;setCopies(short&nbsp;copies)</pre>
                                <div class="block">Sets the number of copies.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html#setCopies-short-">setCopies</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html"
                                                title="interface in org.apache.poi.ss.usermodel">PrintSetup</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>copies</code> - number of copies</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getPaperSize--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPaperSize</h4>
                                <pre>public&nbsp;short&nbsp;getPaperSize()</pre>
                                <div class="block">Returns the paper size.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html#getPaperSize--">getPaperSize</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html"
                                                title="interface in org.apache.poi.ss.usermodel">PrintSetup</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>paper size</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getScale--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getScale</h4>
                                <pre>public&nbsp;short&nbsp;getScale()</pre>
                                <div class="block">Returns the scale.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html#getScale--">getScale</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html"
                                                title="interface in org.apache.poi.ss.usermodel">PrintSetup</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>scale</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getPageStart--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPageStart</h4>
                                <pre>public&nbsp;short&nbsp;getPageStart()</pre>
                                <div class="block">Returns the page start.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html#getPageStart--">getPageStart</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html"
                                                title="interface in org.apache.poi.ss.usermodel">PrintSetup</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>page start</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFitWidth--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFitWidth</h4>
                                <pre>public&nbsp;short&nbsp;getFitWidth()</pre>
                                <div class="block">Returns the number of pages wide to fit sheet in.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html#getFitWidth--">getFitWidth</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html"
                                                title="interface in org.apache.poi.ss.usermodel">PrintSetup</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>number of pages wide to fit sheet in</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFitHeight--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFitHeight</h4>
                                <pre>public&nbsp;short&nbsp;getFitHeight()</pre>
                                <div class="block">Returns the number of pages high to fit the sheet in.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html#getFitHeight--">getFitHeight</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html"
                                                title="interface in org.apache.poi.ss.usermodel">PrintSetup</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>number of pages high to fit the sheet in</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getOptions--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getOptions</h4>
                                <pre>public&nbsp;short&nbsp;getOptions()</pre>
                                <div class="block">Returns the bit flags for the options.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>bit flags for the options</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getLeftToRight--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLeftToRight</h4>
                                <pre>public&nbsp;boolean&nbsp;getLeftToRight()</pre>
                                <div class="block">Returns the left to right print order.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html#getLeftToRight--">getLeftToRight</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html"
                                                title="interface in org.apache.poi.ss.usermodel">PrintSetup</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>left to right print order</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getLandscape--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLandscape</h4>
                                <pre>public&nbsp;boolean&nbsp;getLandscape()</pre>
                                <div class="block">Returns the landscape mode.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html#getLandscape--">getLandscape</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html"
                                                title="interface in org.apache.poi.ss.usermodel">PrintSetup</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>landscape mode</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getValidSettings--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getValidSettings</h4>
                                <pre>public&nbsp;boolean&nbsp;getValidSettings()</pre>
                                <div class="block">Returns the valid settings.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html#getValidSettings--">getValidSettings</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html"
                                                title="interface in org.apache.poi.ss.usermodel">PrintSetup</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>valid settings</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getNoColor--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getNoColor</h4>
                                <pre>public&nbsp;boolean&nbsp;getNoColor()</pre>
                                <div class="block">Returns the black and white setting.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html#getNoColor--">getNoColor</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html"
                                                title="interface in org.apache.poi.ss.usermodel">PrintSetup</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>black and white setting</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getDraft--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDraft</h4>
                                <pre>public&nbsp;boolean&nbsp;getDraft()</pre>
                                <div class="block">Returns the draft mode.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html#getDraft--">getDraft</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html"
                                                title="interface in org.apache.poi.ss.usermodel">PrintSetup</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>draft mode</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getNotes--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getNotes</h4>
                                <pre>public&nbsp;boolean&nbsp;getNotes()</pre>
                                <div class="block">Returns the print notes.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html#getNotes--">getNotes</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html"
                                                title="interface in org.apache.poi.ss.usermodel">PrintSetup</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>print notes</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getNoOrientation--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getNoOrientation</h4>
                                <pre>public&nbsp;boolean&nbsp;getNoOrientation()</pre>
                                <div class="block">Returns the no orientation.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html#getNoOrientation--">getNoOrientation</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html"
                                                title="interface in org.apache.poi.ss.usermodel">PrintSetup</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>no orientation</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getUsePage--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getUsePage</h4>
                                <pre>public&nbsp;boolean&nbsp;getUsePage()</pre>
                                <div class="block">Returns the use page numbers.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html#getUsePage--">getUsePage</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html"
                                                title="interface in org.apache.poi.ss.usermodel">PrintSetup</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>use page numbers</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getHResolution--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getHResolution</h4>
                                <pre>public&nbsp;short&nbsp;getHResolution()</pre>
                                <div class="block">Returns the horizontal resolution.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html#getHResolution--">getHResolution</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html"
                                                title="interface in org.apache.poi.ss.usermodel">PrintSetup</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>horizontal resolution</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getVResolution--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getVResolution</h4>
                                <pre>public&nbsp;short&nbsp;getVResolution()</pre>
                                <div class="block">Returns the vertical resolution.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html#getVResolution--">getVResolution</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html"
                                                title="interface in org.apache.poi.ss.usermodel">PrintSetup</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>vertical resolution</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getHeaderMargin--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getHeaderMargin</h4>
                                <pre>public&nbsp;double&nbsp;getHeaderMargin()</pre>
                                <div class="block">Returns the header margin.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html#getHeaderMargin--">getHeaderMargin</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html"
                                                title="interface in org.apache.poi.ss.usermodel">PrintSetup</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>header margin</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFooterMargin--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFooterMargin</h4>
                                <pre>public&nbsp;double&nbsp;getFooterMargin()</pre>
                                <div class="block">Returns the footer margin.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html#getFooterMargin--">getFooterMargin</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html"
                                                title="interface in org.apache.poi.ss.usermodel">PrintSetup</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>footer margin</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getCopies--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getCopies</h4>
                                <pre>public&nbsp;short&nbsp;getCopies()</pre>
                                <div class="block">Returns the number of copies.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html#getCopies--">getCopies</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html"
                                                title="interface in org.apache.poi.ss.usermodel">PrintSetup</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>number of copies</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HSSFPrintSetup.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFPolygon.html"
               title="class in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFRangeCopier.html"
               title="class in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/usermodel/HSSFPrintSetup.html"
               target="_top">Frames</a></li>
        <li><a href="HSSFPrintSetup.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
